package local.interviews.arrays;

/*
    на входе массив целых чисел n[] со знаками +- и целое число m(любое, со знаком +-)
    необходимо найти первую попавшуюся пару чисел, сумма которой дает целое число m
    если, такая пара не найдена, возвращается ближайшее
    для массива n[] = [-1, 3, 4, 0, 7] и числа m = 5, ответ = [-1, 7]
    для массива n[] = [5, 2, 6, 10] и числа m = 4, ответ = [2, 5]
    для массива n[] = [] и числа m = любое, ответ = []
*/
public interface PairsFinderClosest extends PairsFinder {
}
